›

correct version for iMacs using Maverick

Please tell which version of Fotomagico I should use on my iMac running Maverick.

Roger Altemus

Sign In or Register to comment.